Subject: Re: linux-next: manual merge of the tty tree with the powerpc tree

From: Greg KH <[email-masked]>
Date: Tue, 22 Aug 2023 13:51:50 +0200

On Fri, Aug 18, 2023 at 02:58:26PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tty tree got a conflict in:
> 
>   arch/powerpc/include/asm/fs_pd.h
> 
> between commits:
> 
>   e6e077cb2aa4 ("powerpc/include: Declare mpc8xx_immr in 8xx_immap.h")
>   fecc436a97af ("powerpc/include: Remove mpc8260.h and m82xx_pci.h")
>   fbbf4280dae4 ("powerpc/8xx: Remove immr_map() and immr_unmap()")
>   7768716d2f19 ("powerpc/cpm2: Remove cpm2_map() and cpm2_unmap()")
> 
> from the powerpc tree and commit:
> 
>   c2d6c1b4f034 ("serial: cpm_uart: Use get_baudrate() instead of uart_baudrate()")
> 
> from the tty tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> Note that after all the above are applied, it looks like this file can
> be removed completely as nothing in the tree includes it any more.

Thanks for the notice, I'll let the ppc developers remove it as it's in
their tree.

thanks,

greg k-h